from GFM315_Px_tests import *

resource_string_1 = 'TCPIP::192.168.0.100::hislip0'  # Hi-Speed LAN connection - see 1MA208
resource_string_2 = 'TCPIP::192.168.0.100::INSTR'  # VXI-11 connection
resource_string_3 = 'USB::0x0AAD::0x0119::022019943::INSTR'  # USB-TMC (Test and Measurement Class)

try:
    # Initialization
    mytest821 = TC821(resource_string_1)
    # Set some test specific parameters
    mytest821.channel_bw = 10
    mytest821.mapping_type = 'A'
    # Apply signal configuration
    mytest821.apply_configuration()
    # Switching on the two RF ports
    mytest821.output_on(1)
    mytest821.output_on(2)
    # Close the connection
    mytest821.close()
except RsException as e:
    print(e.args[0])
else:
    print('Test execution successful')
