"""
5G NR conducted base station conformance tests (according to 3GPP TS 38.141-1);
:version: 1.00
:copyright: 2020 by Rohde & Schwarz GMBH & Co. KG
:license: MIT
:author: Christian Wicke, Fabian Bette
Numbering refers to numbering in 3GPP TS 38.141-1:
TC 8.2.1: Performance requirements for PUSCH with transform precoding disabled
TC 8.2.2: Performance requirements for PUSCH with transform precoding enabled
TC 8.2.3: Performance requirements for UCI multiplexed on PUSCH
TC 8.2.4: Performance requirements for for PUSCH for high speed train
TC 8.2.5: Performance requirements for UL timing adjustment
TC 8.2.6: Performance requirements for PUSCH with 0.001% BLER
TC 8.2.7: Performance requirements for PUSCH repetition Type A
TC 8.2.8: Performance requirements for PUSCH Mapping Type B with non-slot transmission
TC 8.2.9: Performance requirements for PUSCH msgA for 2-step RA type
TC 8.3.1: Performance requirements for PUCCH Format 0
TC 8.3.2: Performance requirements for PUCCH Format 1
TC 8.3.3: Performance requirements for PUCCH Format 2
TC 8.3.4: Performance requirements for PUCCH Format 3
TC 8.3.5: Performance requirements for PUCCH Format 4
TC 8.3.6.1A: Performance requirements for multi-slot PUCCH format 1 - NACK to ACK detection
TC 8.3.6.1B: Performance requirements for multi-slot PUCCH format 1 - ACK missed detection
TC 8.3.6.1B: Performance requirements for multi-slot PUCCH format 1 - ACK missed detection
TC 8.4.1: Performance requirements for PRACH - PRACH false alarm probability and missed detection
"""
__version__ = '1.00'
from GFM315_Px_tests.TCs.TC_8_2_1 import TC821
from GFM315_Px_tests.TCs.TC_8_2_2 import TC822
from GFM315_Px_tests.TCs.TC_8_2_3 import TC823
from GFM315_Px_tests.TCs.TC_8_2_4 import TC824
from GFM315_Px_tests.TCs.TC_8_2_5 import TC825
from GFM315_Px_tests.TCs.TC_8_2_6 import TC826
from GFM315_Px_tests.TCs.TC_8_2_7 import TC827
from GFM315_Px_tests.TCs.TC_8_2_8 import TC828
from GFM315_Px_tests.TCs.TC_8_2_9 import TC829
from GFM315_Px_tests.TCs.TC_8_3_1 import TC831
from GFM315_Px_tests.TCs.TC_8_3_2_1 import TC8321
from GFM315_Px_tests.TCs.TC_8_3_2_2 import TC8322
from GFM315_Px_tests.TCs.TC_8_3_3_1 import TC8331
from GFM315_Px_tests.TCs.TC_8_3_3_2 import TC8332
from GFM315_Px_tests.TCs.TC_8_3_4 import TC834
from GFM315_Px_tests.TCs.TC_8_3_5 import TC835
from GFM315_Px_tests.TCs.TC_8_3_6_1_A import TC8361A
from GFM315_Px_tests.TCs.TC_8_3_6_1_B import TC8361B
from GFM315_Px_tests.TCs.TC_8_4_1 import TC841
from GFM315_Px_tests.General.GFM315_utilities import RsException
